function love.load()

	math.randomseed(os.time())

	socket = require("socket")
	udp = socket.udp()
	udp:settimeout(0)
	udp:setpeername("localhost", 12345)
	
	name = math.random()
	udp:send(string.format("%s %s", "connect", name))

end

function love.update()

	udp:send(string.format("%s %s %s", "update", name, "Hello,world!"))
	
	data = udp:receive()
	if data then
		kind, name = data:match("(%S*) (%S*)")
		
		if kind == "update" then
			kind, name, d = data:match("(%S*) (%S*) (%S*)")
		end
		
	end
	
end

function love.draw()

	love.graphics.print(tostring(d))

end

function love.quit()

	udp:send(string.format("%s %s", "disconnect", name))
	
end